<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@page contentType="text/html; charset=UTF-8" %>
<%@page import="com.csc.library.entry.*,com.csc.library.system.*,com.csc.library.utilities.*"%>
<% request.setCharacterEncoding("UTF-8"); %>
<jsp:useBean id="AS300_CKT" class="com.csc.library.system.Task" scope="page" />
<jsp:useBean id="HELP" class="com.csc.library.system.Task" scope="page" />
<%
	CheckNull chk = CheckNull.getInstance();
	String emp_from = chk.chkNullString( request.getParameter("__emp_from"));
	String emp_to = chk.chkNullString( request.getParameter("__emp_to"));
	String emp_position = chk.chkNullString( request.getParameter("__emp_position"));
	String bu1 = chk.chkNullString( request.getParameter("__bu1"));
	String bu2 = chk.chkNullString( request.getParameter("__bu2"));
	String bu3 = chk.chkNullString( request.getParameter("__bu3"));

	
	AS300_CKT.setChannel(request, response);
   	ProcessEntry screen = (ProcessEntry)AS300_CKT.process("ProcessEntry","Process");
   	screen.process();
	
	HELP.setChannel(request, response);
	HelpEntry helpScreen = (HelpEntry)HELP.process("HelpEntry","TAPSTRANHELP");
	helpScreen.setMaxLine(-1);
	boolean search = chk.chkNullString(request.getParameter("__cmd")).equals("search");
	if(search){
		helpScreen.process();
	}
	int count = 1 ;

%>
<html ng-app="myHR">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link type="text/css" rel="stylesheet" href="../CSS/TISCO.css" >
<script language="JavaScript" src="../JS/SCREEN.js"></script>
<script src="../JS/angular-1.3.15/angular.js" type="text/javascript"></script>
<script src="../JS/ANGULAR/SCREEN_ANGULAR.js" type="text/javascript"></script>
<script type="text/javascript" src="../JS/DATEINPUT.js"></script>
<script type="text/javascript" src="../JS/VIEWCALENDAR.js"></script>
<script src="../JS/jquery-2.1.3.min.js" type="text/javascript"></script>
<script language="javascript">setLang("<%=screen.getUProfile().get("lang")%>");</script>
<script language="javascript">getTitleName();</script>
<script language="javascript">

function GoSave(){}
function GoUpdate(){}
function GoDelete(){}
function GoSearch(){}

function GoProcessAll() {
	with(document.cscform){
		msg = (getLang()=="tha") ? "คุณต้องการประมวลผลการปรับตำแหน่ง\nจำนวน "+__recCount.value +" รายการ ?" :"Do you want to Process Adding Adjusted Position ?\n"+__recCount.value +" record(s) ?"
		bCon=confirm( msg );
		if (bCon==true)	{
			setCondition();	
			//alert(__condition$filter.value);
			__cmd .value = "save";
			submit();
		}
	}
}
function GoProcess() {
	with(document.cscform){
            if(setSelectEmployee()){
                var recCount = 0;
                $('.selectemployee').each(function(){
                    if($(this).prop('checked')){
                        recCount++;
                    }
                });
		msg = (getLang()=="tha") ? "คุณต้องการบันทึกการเคลื่อนไหวหรือไม่\nจำนวน "+ recCount +" รายการ ?" :"Do you want to approve movement record ?\n"+ recCount +" record(s) ?"
		bCon=confirm( msg );
		if (bCon==true)	{
			setCondition();	
			//alert(__condition$filter.value);
			__cmd .value = "save";
			document.getElementsByName("slApprover")[0].value = "apsapprove1";
			document.getElementsByName("MEMPLOYEE@FULLNAME")[0].value = "";
			document.getElementsByName("mbu1@edesc")[0].value = "";
			document.getElementsByName("mbu2@edesc")[0].value = "";
			document.getElementsByName("mbu3@edesc")[0].value = "";
			document.getElementsByName("mbu4@edesc")[0].value = "";
			document.getElementsByName("mbu5@edesc")[0].value = "";
			document.getElementsByName("tapstran0@edesc")[0].value = "";
			submit();
		}
            } else {
                var msg = (getLang()==="tha")? "กรุณาเลือกพนักงาน.": "Please select employee.";
                alert(msg);
            }
	}
}
function setCondition(){
	with(document.cscform){
	    setFilter();
            var chooseEmp = "";
            if(__choose_employeeid.value !== ""){
                chooseEmp = " and employeeid in ("+__choose_employeeid.value+")";
            }
		__condition$filter.value = __fixCon.value + chooseEmp;
	}
}
function dmy2ymd(dmy){
	var ymd = "";
	var format =/^(\d{2})(\/|-)(\d{2})\2(\d{4})$/;		// dmy
	
	if(dmy.match(format) != null){
		tmp =  dmy.split("-");
		if(tmp.length == 3){
			ymd = tmp[2] +"-" +tmp[1] + "-" +tmp[0];
		}else{
			tmp =  dmy.split("/");
			if(tmp.length == 3){
				ymd = tmp[2] +"-" +tmp[1] + "-" +tmp[0];
			}
		}
	}
	return ymd;
}
function GoPreview() {
	with(document.cscform){
		setFilter();
		__cmd.value="search";
		//alert(__fixCon.value)
		submit();
	}
}
function clear(){
	with(document.cscform){
		setFilter();
		__cmd.value="";
		//alert(__fixCon.value)
		submit();
	}
}

function setFilter(){
	with(document.cscform){
		var filter = "1-1=0";
		if((__emp_from.value != "") && (__emp_to.value != "" )) {
			filter += " and (apsassessy between '" +__emp_from.value +"' and '" +__emp_to.value +"') ";
		}else if((__emp_from.value != "") && (__emp_to.value == "" )) {
			filter += " and apsassessy = '" +__emp_from.value +"'";
		}else if((__emp_from.value == "") && (__emp_to.value != "" )){
			filter += " and apsassessy = '" +__emp_to.value +"'";
		}
			
		if(__bu1.value != "") {
			filter += " and bu1 = '" +__bu1.value +"' ";
		}
			
		if(__bu2.value != "") {
			filter += " and bu2 = '" +__bu2.value +"' ";
		}
		
		if(__bu3.value != "") {
			filter += " and bu3 = '" +__bu3.value +"' ";
		}
		
		if(__bu4.value != "") {
			filter += " and bu4 = '" +__bu4.value +"' ";
		}
		
		if(__bu5.value != "") {
			filter += "  and bu5 = '" +__bu5.value +"' ";
		}

		if(__apsid.value != "") {
			filter += "  and apsid = '" +__apsid.value +"' ";
		}
		
		__fixCon.value = filter;
	}
}

function GoClear(){
	with(document.cscform){
		__emp_from.value = "";
		__emp_to.value = "";
        __bu1.value = "";
        __bu2.value = "";
        __bu3.value = "";
        __bu4.value = "";
        __bu5.value = "";
		__apsid.value = "";
		__emp_process.value = "" ;
		
		document.getElementsByName("slApprover")[0].value = "1";
		document.getElementsByName("MEMPLOYEE@FULLNAME")[0].value = "";
		document.getElementsByName("mbu1@edesc")[0].value = "";
		document.getElementsByName("mbu2@edesc")[0].value = "";
		document.getElementsByName("mbu3@edesc")[0].value = "";
		document.getElementsByName("mbu4@edesc")[0].value = "";
		document.getElementsByName("mbu5@edesc")[0].value = "";
		document.getElementsByName("tapstran0@edesc")[0].value = "";

		if($(":checked")){
			decheckAll();
		}
		
	}
}

function goHelp(helpName,inputName){
	with(document.cscform){
		var helpReturn;
		var temp="";
		if(inputName=="__emp_from" ){
			helpReturn="__emp_from:employeeid";
		}else if(inputName=="__emp_to" ){
			helpReturn="__emp_to:employeeid";
		}else if(inputName=="__emp_process" ){
			helpReturn="__emp_process:employeeid,MEMPLOYEE@FULLNAME";
		}else if(inputName=="__bu1" ){
			helpReturn="__bu1:bu1id,mbu1@edesc";
		}else if(inputName=="__bu2" ){
			helpReturn="__bu2:bu2id,mbu2@edesc";
		}else if(inputName=="__bu3" ){
			helpReturn="__bu3:bu3id,mbu3@edesc";
		}else if(inputName=="__bu4" ){
			helpReturn="__bu4:bu4id,mbu4@edesc";
		}else if(inputName=="__bu5" ){
			helpReturn="__bu5:bu5id,mbu5@edesc";
		}else if(inputName=="__apsid" ){
			__fixCon.value="ACTIVE_STATUS='1' ";
			helpReturn="__apsid:apsid,tapstran0@edesc";
		}
		linkHelp_Return(helpName,helpReturn);
		__fixCon.value=temp;
	}
}


function goPage(page){
	with(document.cscform){
		__goPage.value=page;
		__cmd.value = "search";
		submit();
	}
}
function showDetail(employee){
	with(document.cscform){
        var param = "__employeeid=" +employee +"&__companyid=" +__companyid.value;
		win = window.open("PSN115.jsp?"+param, "Help", "width=600,toolbar=no,status=yes,scrollbars=yes,resizable=yes");
		win.focus();
	}
}
function setAdjType(val) {
	with(document.cscform) {
		setCheckedValue(__adj_type, val);		
	}
}
function setCheckedValue(radioObj, newValue) {
	if(!radioObj) {
		return;
	}
	var radioLength = radioObj.length;
	if(radioLength == undefined) {
		radioObj.checked = (radioObj.value == newValue.toString());
		return;
	}
	for(var i = 0; i < radioLength; i++) {
		radioObj[i].checked = false;
		if(radioObj[i].value == newValue.toString()) {
			radioObj[i].checked = true;
		}
	}
}

function setSelectEmployee(){
    var chk = false;
    var choose_employeeid = "";
	var e = document.getElementById("slApprover");
	var strUser = e.options[e.selectedIndex].value;
    $(".selectemployee").each(function(){
        if( $(this).prop('checked') ){
            choose_employeeid = chkStr(choose_employeeid) +""+ $(this).val() +"";
            chk = true;
        }
    });
	$("input[name='__condition$empappprover']").val(document.getElementsByName("__emp_process")[0].value);
    $("input[name='__condition$empall']").val(choose_employeeid);
    $("input[name='__condition$approvorlevel']").val(strUser);
    return chk;
}

function chkStr(str){
    if(str.length > 0){
        str += ",";
    }
    return str;
}

function setcheck(){
    if($("#maincheckbox").prop('checked')){
        checkAll();
    } else {
        decheckAll();
    }
}

function setmaincheckbox(){
    $("#maincheckbox").prop('checked', false);
}

</script>
<style type="text/css">
<!--
.radio-vertical label{
	display: block;
}
-->
</style>
</head>
<body leftmargin="0" topmargin="0" onLoad="MM_preloadImages('../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif','../IMAGES/BUTTON/SWAP/CALENDAR_SWAP20.gif')" >
<div align="center">
  <div id="toolTipLayer" style="position:absolute; visibility: hidden"></div>
  <script language="javascript">initToolTips();</script>
  <form name="cscform" method="post">
    <input type="hidden" name="__cmd" value="">
    <input type="hidden" name="__screen" value="AS300_CKT">
    <input type="hidden" name="__help" value="">
    <input type="hidden" name="__companyid" value="<%=screen.getUProfile().get("companyid")%>">
    <input type="hidden" name="__notNull" value="">
    <input type="hidden"name="__fixCon" value="">
    <input type="hidden" name="__referPage" value="">
    <input type="hidden" name="__process" value="">
    <input type="hidden" name="__tname" value="ประมวลผลการปรับตำแหน่ง">
    <input type="hidden" name="__ename" value="Adding Adjusted Position Process">
    <input type="hidden" name="__ptype" value="">
    <input type="hidden" name="__prclass" value="ApproverEmpAllProcess">
    <input type="hidden" name="__calendar"  value="">
    <input type="hidden" name="__language" value="<%=screen.getUProfile().get("lang")%>">
    <input type="hidden" name="__goPage" value ="">
    <input type="hidden" name="__choose_employeeid" value="">
    <input type="hidden" name="__condition$empall" value="">
    <input type="hidden" name="__condition$empappprover" value="">
    <input type="hidden" name="__condition$approvorlevel" value="">
    <input type="hidden" name="__condition$filter" value="">
	<input type="hidden" name="__recCount" value="<%=helpScreen.getRecCount()%>">
    <script language="javascript">getInputFormatDate();</script> <%=screen.getTagConfirm()%> <br>
    <center>
      <table width="640" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td class="header" colspan="2" >AS300_CKT, <span swlang code="SW012788">Define Approver</span>&nbsp; </td>
        </tr>
        <tr>
          <td><table cellpadding="0" cellspacing="0" class="inframe">
              <tr>
                <td><table border="0" cellpadding="0"  cellspacing="1" class="inframe">
                    <!-------------------------------------------------------------------------------------------------------->
                    <tr>
                      <td colspan="2" class="blankspace">&nbsp;</td>
                    </tr>
                    <tr>
                      <td width="150" class="columnlabel"><span swlang code="SW000274">Employee ID</span>&nbsp;</td>
                      <td><input type="text" name="__emp_from" size="10" maxlength="15" value="<%=emp_from %>" />
                      <a href="javascript:goHelp('MEMPLOYEEHELP','__emp_from')" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image1','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="Help" name="Image1" width="20" height="20" border="0" align="absmiddle" id="Image1" /></a>&nbsp;-
                        <input type="text" name="__emp_to" size="10" maxlength="15" value="<%=emp_to %>" />
                      <a href="javascript:goHelp('MEMPLOYEEHELP','__emp_to')" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image2','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="Help" name="Image2" width="20" height="20" border="0" align="absmiddle" id="Image2" /></a> </td>
                    </tr>
                    <tr>
                      <td class="columnlabel"><%=helpScreen.getLabel("BU1") %>&nbsp;</td>
                      <td><input type="text" name="__bu1" onFocus="this.select();" maxlength="10" size="10" value="<%=bu1 %>" />
                      <a onMouseOver="MM_swapImage('Image5','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)" onMouseOut="MM_swapImgRestore()" href="javascript:goHelp('MBU1HELP','__bu1');"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="Help" name="Image5" width="20" height="20" border="0" align="absmiddle" id="Image5" /></a>
                      <input type="text" name="mbu1@edesc" readonly size="40" value="<%=chk.chkNullString(request.getParameter("mbu1@edesc"))%>" /></td>
                  </tr>
                    <tr>
                      <td class="columnlabel"><%=helpScreen.getLabel("BU2") %>&nbsp;</td>
                      <td><input type="text" name="__bu2" onFocus="this.select();" maxlength="10" size="10" value="<%=bu2 %>" />
                        <a onMouseOver="MM_swapImage('Image6','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)" onMouseOut="MM_swapImgRestore()" href="javascript:goHelp('MBU2HELP','__bu2');"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="Help" name="Image6" width="20" height="20" border="0" align="absmiddle" id="Image6" /></a>
                      <input type="text" name="mbu2@edesc" readonly size="40" value="<%=chk.chkNullString(request.getParameter("mbu2@edesc"))%>" /></td>
                    </tr>
                    <tr>
                      <td class="columnlabel"><%=helpScreen.getLabel("BU3") %>&nbsp;</td>
                      <td><input type="text" name="__bu3" onFocus="this.select();" maxlength="10" size="10" value="<%=bu3 %>" />
                      <a onMouseOver="MM_swapImage('Image7','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)" onMouseOut="MM_swapImgRestore()" href="javascript:goHelp('MBU3HELP','__bu3');"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="Help" name="Image7" width="20" height="20" border="0" align="absmiddle" id="Image7" /></a>
                      <input type="text" name="mbu3@edesc" readonly size="40" value="<%=chk.chkNullString(request.getParameter("mbu3@edesc"))%>" /></td>
                    </tr>
                    
                    <tr>
                      <td class="columnlabel"><%=helpScreen.getLabel("BU4") %>&nbsp;</td>
                      <td><input type="text" name="__bu4" onFocus="this.select();" maxlength="10" size="10" value="<%=chk.chkNullString(request.getParameter("__bu4"))%>" />
						<a onMouseOver="MM_swapImage('Image8','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)"  onmouseout="MM_swapImgRestore()" href="javascript:goHelp('MBU4HELP','__bu4');"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="Help" name="Image8" width="20" height="20" border="0" align="absmiddle" id="Image8" /></a>
                        <input type="text" name="mbu4@edesc" readonly size="40" value="<%=chk.chkNullString(request.getParameter("mbu4@edesc"))%>" /></td>
                    </tr>
                    <tr>
                      <td class="columnlabel"><%=helpScreen.getLabel("BU5") %>&nbsp;</td>
                      <td><input type="text" name="__bu5" onFocus="this.select();" maxlength="10" size="10" value="<%=chk.chkNullString(request.getParameter("__bu5"))%>" />
                        <a onMouseOver="MM_swapImage('Image9','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)" onMouseOut="MM_swapImgRestore()" href="javascript:goHelp('MBU5HELP','__bu5');"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="Help" name="Image9" width="20" height="20" border="0" align="absmiddle" id="Image9" /></a>
                        <input type="text" name="mbu5@edesc" readonly size="40" value="<%=chk.chkNullString(request.getParameter("mbu5@edesc"))%>" /></td>
                    </tr>
					<tr>
						<td class="columnlabel"><span swlang code="SW012789">Appraisal Form</span></td>
						<td><input type="text" name="__apsid" onFocus="this.select();" maxlength="10" size="10" value="<%=chk.chkNullString(request.getParameter("__apsid"))%>" />
                        <a onMouseOver="MM_swapImage('Image9','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)" onMouseOut="MM_swapImgRestore()" href="javascript:goHelp('TAPSTRAN0HELP','__apsid');"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="Help" name="Image9" width="20" height="20" border="0" align="absmiddle" id="Image9" /></a>
                        <input type="text" name="tapstran0@edesc" readonly size="40" value="<%=chk.chkNullString(request.getParameter("tapstran0@edesc"))%>" /></td>

					</tr>

                    <!-------------------------------------------------------------------------------------------------------->
                </table></td>
              </tr>
              <tr>
                <td class="blankspace">&nbsp;</td>
              </tr>
              <tr>
                <td align="center" class="buttonline"><a href="javascript:GoPreview();"><img src="../IMAGES/BUTTON/PREVIEW.gif" alt="" width="73" height="23" border="0" align="absmiddle" /></a>&nbsp; <a href="javascript:GoClear();"><img src="../IMAGES/BUTTON/CLEAR.gif" width="73" height="23" border="0" align="absmiddle" /></a></td>
              </tr>
            </table></td>
        </tr>
        <tr>
          <td class="blankspace"></td>
        </tr>
        <% if(search){%>
        <tr>
          <td><table cellpadding="0" cellspacing="0" class="inframe">
              <tr>
                <td><table border="0" align="center" cellpadding="0" cellspacing="1" class="largest1">
                    <!-- <tr>
                      <td><div><span swlang code="SW001771">Found Data</span>&nbsp;&nbsp;<%=helpScreen.getRecCount()%></div></td>
                      <td><div align="right">&nbsp;<%=helpScreen.getPageTag()%>&nbsp;</div></td>
                    </tr> -->
                    <tr>
                      <td colspan="2"><table border="0" cellpadding="0" cellspacing="1" bgcolor="#666666" class="inframe">
                          <tr> 
                            <td align="center" class="row3" nowrap="nowrap">&nbsp;
							<INPUT type="checkbox" id="maincheckbox" onchange="setcheck()">&nbsp;&nbsp;</td>
                            <td align="center" class="row3" nowrap="nowrap">&nbsp;<span swlang code="SW000193">Seq</span>&nbsp;</td> 
                            <td align="center" class="row3" nowrap="nowrap">&nbsp;<span swlang code="SW000274">Employee ID</span>&nbsp;</td> 
                            <td align="center" class="row3" nowrap="nowrap"><span swlang code="SW010885">Name-Surname</span></td>
							<td align="center" class="row3" nowrap="nowrap"><span swlang code="SW000057">Position</span></td>
							<td align="center" class="row3" nowrap="nowrap"><%=helpScreen.getLabel("BU1") %></td>
							<td align="center" class="row3" nowrap="nowrap"><%=helpScreen.getLabel("BU2") %></td>
							<td align="center" class="row3" nowrap="nowrap">&nbsp;<span swlang code="SW012789">Appraisal Form</span>&nbsp;</td>
							<td align="center" class="row3" nowrap="nowrap">&nbsp;<span swlang code="SW012790">Approver 1</span>&nbsp;</td>
							<td align="center" class="row3" nowrap="nowrap">&nbsp;<span swlang code="SW012791">Approver 2</span>&nbsp;</td>
                          </tr>
          <% 
				while(helpScreen.nextRec()){ 
		   			if(helpScreen.checkLinePage()){   
						helpScreen.referLangOn();
		   %>
                          <tr>
                            <td align="center" nowrap="nowrap" class="forborder2">&nbsp;&nbsp;<input type="checkbox" 
							value="<%=helpScreen.getString("apsassessy")%>#<%=helpScreen.getString("apsid")%>" onchange="setmaincheckbox()" class="selectemployee">&nbsp;&nbsp;</td>
                            <td align="center" nowrap="nowrap" class="forborder2"><%=count++%></td>
                            <td align="center" nowrap="nowrap" class="forborder2"><%=helpScreen.getString("apsassessy")%></td>
                            <td nowrap="nowrap" class="forborder2">&nbsp;<%=helpScreen.getString("SIMEMP", "fullname")%>&nbsp;</td>
                            <td nowrap="nowrap" class="forborder2">&nbsp;<%=helpScreen.getString("MPOSITION","TDESC")%>&nbsp;</td>
                            <td nowrap="nowrap" class="forborder2">&nbsp;<%=helpScreen.getString("MBU1","TDESC")%>&nbsp;</td>
                            <td nowrap="nowrap" class="forborder2">&nbsp;<%=helpScreen.getString("MBU2","TDESC")%>&nbsp;</td>
                            <td nowrap="nowrap" class="forborder2">&nbsp;<%=helpScreen.getString("tapstran0","tdesc")%>&nbsp;</td>
                            <td nowrap="nowrap" class="forborder2">&nbsp;<%=helpScreen.getString("apsapprove1")%></td>
                            <td nowrap="nowrap" class="forborder2">&nbsp;<%=helpScreen.getString("apsapprove2")%></td>
                          </tr>
      <%
						helpScreen.referLangOff();
		   			}
					if(helpScreen.outLinePage()){ 
				 		break;
					}
				 }
		%>
                      </table></td>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td class="blankspace">&nbsp;</td>
              </tr>
			<td><table border="0" cellpadding="0"  cellspacing="1" class="inframe">
				<tr>
					<td class="columnlabel"><span swlang code="SW012789">Appraisal Form</span></td>
					<td>
						<select name="slApprover" id="slApprover">
							<option value="apsapprove1" swlang code="SW012790">Approver 1</option> 
							<option value="apsapprove2" swlang code="SW012791">Approver 2</option> 
							<option value="apsapprove3" swlang code="SW012792">Approver 3</option> 
							<option value="apsapprove4" swlang code="SW012793">Approver 4</option> 
							<option value="apsapprove5" swlang code="SW012794">Approver 5</option> 
						</select>
					</td>
			  </tr>
				<tr>
					<td width="150" class="columnlabel"><span swlang code="SW000274">Employee ID</span>&nbsp;</td>
                    <td><input type="text" name="__emp_process" size="10" maxlength="15" value="<%=chk.chkNullString(request.getParameter("__emp_process"))%>" />
                    <a href="javascript:goHelp('MEMPLOYEEHELP','__emp_process')" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image1','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="Help" name="Image1" width="20" height="20" border="0" align="absmiddle" id="Image1" /></a>
					<input type="text" name="MEMPLOYEE@FULLNAME" readonly size="40" value="
					<%=chk.chkNullString(request.getParameter("MEMPLOYEE@FULLNAME"))%>" /></td>
				</tr>
			</table>
				<tr>
					<td class="blankspace">&nbsp;</td>
				</tr>
              <tr>
                <td class="buttonline">
                    <!-- <a href="javascript:clear();"><img src="../IMAGES/BUTTON/BACK.gif" width="73" height="23" border="0" align="absmiddle" /></a> -->
                    <a href="javascript:GoProcess();"><img src="../IMAGES/BUTTON/PROCESS.gif" width="73" height="23" border="0" align="absmiddle" /></a>
                    <!-- <a href="javascript:GoProcessAll();"><img src="../IMAGES/BUTTON/PROCESSALL.gif" width="88" height="23" border="0" align="absmiddle" /></a> -->
                </td>
              </tr>
          </table></td>
        </tr>
        <% }%>
        <tr>
          <td class="blankspace">&nbsp;</td>
        </tr>
        <tr>
          <td class="bottom"></td>
        </tr>
      </table>
    </center>
     <% if(!search){%><script language="JavaScript">GoClear();</script><%}%>
  </form>
</div>
</body>
</html>
